import { Component, OnInit } from '@angular/core';
import { F1SimpleService } from '../f1-simple.service';
import { Driver } from '../Driver';


@Component({
  selector: 'app-simple-http-service',
  templateUrl: './simple-http-service.component.html',
  styleUrls: ['./simple-http-service.component.css'],
  providers: [F1SimpleService]
})
export class SimpleHttpServiceComponent {
  private drivers: Driver[];
  constructor(service: F1SimpleService) {
    service.getDrivers().subscribe(response => this.drivers = response);
   }
}
